<!DOCTYPE html>
<html>
    <head> 
        <meta charset="UTF-8"/> 
        <script src="https://cdn.jsdelivr.net/npm/chart.js@2.9.3/dist/Chart.min.js"></script>
        <script src="all.js"></script>

    </head>

    <body>
        <h1>fibo</h1>

        <p>n : <input type="number" id="my_fibo_n" min="2" max="21" onInput="updateFibo()" value="10"/> </p>
        <div style="width: 640px; height: 480px;"> <canvas id="container_fibo"> </canvas> </div>
        <p>a : <input type="number" id="sin_a" min="0" max="20" onInput="updateSinus()" value="2"/> </p>
	<p>b : <input type="number" id="sin_b" min="0" max="20" onInput="updateSinus()" value="0.25"/> </p>
        <div style="width: 640px; height: 480px;"> <canvas id="container_sinus"> </canvas> </div>



<script>

function createPlot(yTitle, container) {
    const ctx = document.getElementById(container).getContext('2d');
    return new Chart(ctx, {
        type: 'line',
        options: {
            animation: false,
            legend: {
                display: false,
            },         
            scales: {
                xAxes: [{
                    type: 'linear'
                }],
                yAxes: [{
                    display: true,
                    scaleLabel: {
                        display: true,
                        labelString: yTitle
                    }
                }]
            }
        }
    });
}

let chartFibo = {};

let chartSinus = {};

function updateFibo() {
    const n = parseInt(my_fibo_n.value);
    const dpFibo = Array.from({length: n}, (_,i) => ({x: i, y: Module.fiboIterative(i)}));
    chartFibo.data = {
        datasets: [{
            data: dpFibo,
            borderColor: 'red',
            fill: false,
            lineTension: 0
        }]
    };
    chartFibo.update();
}

function updateSinus(){
  const n = 100;
	a=parseInt(sin_a.value);
	b=parseInt(sin_b.value);
    const dpSin = Array.from({length: n}, (_,i) => ({x: i/n, y: Module.sinus(i/n, a, b)}));
    chartSinus.data = {
        datasets: [{
            data: dpSin,
            borderColor: 'red',
            fill: false,
            lineTension: 0
        }]
    };
    chartSinus.update();
}


Module.onRuntimeInitialized = function () {
    chartFibo = createPlot('fiboIterative', 'container_fibo');
    updateFibo();
    chartSinus = createPlot('sinus', 'container_sinus');
    updateSinus();
};

</script>

    </body>
</html>


